メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
groups
/
{id}
/
members
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Groups;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Groups.Members.GetAsync(
            id: "id",
            request: new GetGroupMembersRequestParameters {
                Fields = "fields",
                IncludeFields = true,
                From = "from",
                Take = 1
            }
        );
    }

}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.groups.members.requests.GetGroupMembersRequestParameters;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.groups().members().get(
"id",
GetGroupMembersRequestParameters
.builder()
.fields("fields")
.includeFields(true)
.from("from")
.take(1)
.build()
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Groups\Members\Requests\GetGroupMembersRequestParameters;

$client = new Management(
token: '<token>',
);
$client->groups->members->get(
'id',
new GetGroupMembersRequestParameters([
'fields' => 'fields',
'includeFields' => true,
'from' => 'from',
'take' => 1,
]),
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.groups.members.get(
id="id",
fields="fields",
include_fields=True,
from="from",
take=1,
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.groups.members.get(
id: "id",
fields: "fields",
include_fields: true,
from: "from",
take: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/groups/{id}/members \
--header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/groups/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{tenantDomain}/api/v2/groups/{id}/members"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "members": [
    {
      "id": "<string>",
      "connection_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "<string>"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

Unique identifier for the group (service-generated).

Required string length: 18 - 26

クエリパラメータ

fields
string

A comma separated list of fields to include or exclude (depending on include_fields) from the result, empty to retrieve all fields

Maximum string length: 256
include_fields
boolean

Whether specified fields are to be included (true) or excluded (false).

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

必須範囲: 1 <= x <= 100

レスポンス

Group members successfully retrieved.

members
object[]
必須
next
string

A cursor to be used as the "from" query parameter for the next page of results.